---
# tasks file for vcsshark
- block:
  - name: enable ubuntu group
    group: name=ubuntu state=present

  - name: enable ubuntu user
    user: name=ubuntu state=present shell=/bin/bash

  - name: Deploy mecoSHARK Job
    shell: echo "Insert part for deployment here."
  when: task == "DEPLOY"
  remote_user: ubuntu
  become_user: ubuntu
  become: yes

- block:
  - name: Create outdir
    file: path=~/{{ shark_project_name }}_revisions state=directory
    
  - name: Copy repo
    shell: cp -r ~/{{ shark_project_name }}  ~/{{ shark_project_name }}_revisions/{{ shark_project_revision }}
    
  - name: Checkout revision {{ shark_project_revision }}
    command: 
       cmd: git checkout -f --quiet {{ shark_project_revision }}
       chdir: ~/{{ shark_project_name }}_revisions/{{ shark_project_revision }}
  when: task == "CONFIGURE"
  remote_user: ubuntu
  become_user: ubuntu
  become: yes

- block:
  - name: Start mecoSHARK
    shell: python3.6 /home/ubuntu/mecoshark/main.py -H {{ ansible_default_ipv4.address }} -p 27017 -i /home/ubuntu/{{ shark_project_name }}_revisions/{{ shark_project_revision }} --db-database vcsshark -o /home/ubuntu/{{ shark_project_name }}_revisions/{{ shark_project_revision }}/mecoOutput/ -r {{ shark_project_revision }} -u {{ shark_project_repository }} -pn {{ shark_project_name }}
    environment:
      PATH: /home/ubuntu/mecoshark/external/sloccount2.26:{{ ansible_env.PATH }}
    register: hello
  - debug: msg="{{ hello.stdout }}"
  - debug:
      msg: "python3.6 ~/mecoshark/main.py -H {{ ansible_default_ipv4.address }} -p 27017 -i ~/{{ shark_project_name }}_revisions/{{ shark_project_revision }} --db-database vcsshark -o ~/{{ shark_project_name }}_revisions/{{ shark_project_revision }}/mecoOutput/ -r {{ shark_project_revision }} -u {{ shark_project_repository }} -pn {{ shark_project_name }}"
  - name: Delete revision folder
    file:
      path: ~/{{ shark_project_name }}_revisions/{{ shark_project_revision }}
      state: absent
  when: task == "START"
  remote_user: ubuntu
  become_user: ubuntu
  become: yes
  
- block:
  - name: Delete revision folder
    file:
      path: ~/{{ shark_project_name }}_revisions/{{ shark_project_revision }}
      state: absent
  when: task == "UNDEPLOY"
  remote_user: ubuntu
  become_user: ubuntu
  become: yes




